summaryrefslogtreecommitdiffstats
path: root/network/etherape/etherape.SlackBuild
diff options
context:
space:
mode:
author Chris Abela <chris.abela@maltats.com>2011-06-29 14:52:52 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-06-29 14:52:52 -0300
commit8c98b88979f2392522bcc5bd5459a3d712456f3d (patch)
treec99302f4c339ed489a8031e71869432607b88c54 /network/etherape/etherape.SlackBuild
parent4fc63bf053e5be9cbd7b9a41e96ff6e558714e3a (diff)
downloadslackbuilds-8c98b88979f2392522bcc5bd5459a3d712456f3d.tar.gz
slackbuilds-8c98b88979f2392522bcc5bd5459a3d712456f3d.tar.xz
network/etherape: Updated for version 0.9.10.
Diffstat (limited to 'network/etherape/etherape.SlackBuild')
-rw-r--r--network/etherape/etherape.SlackBuild50
1 files changed, 28 insertions, 22 deletions
diff --git a/network/etherape/etherape.SlackBuild b/network/etherape/etherape.SlackBuild
index 2bc0859c25..cbdbb5e12a 100644
--- a/network/etherape/etherape.SlackBuild
+++ b/network/etherape/etherape.SlackBuild
@@ -1,10 +1,29 @@
#!/bin/sh
# Slackware build script for etherape
-# Chris Abela 2010.03.23
+
+# Copyright 2011 Chris Abela, Malta
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=etherape
-VERSION=${VERSION:-0.9.9}
+VERSION=${VERSION:-0.9.10}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -34,7 +53,7 @@ elif [ "$ARCH" = "x86_64" ]; then
SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -49,18 +68,7 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# scrollkeeper is disabled.
-# If you want it enabled, remove the --disable-scrollkeeper
-#
-# then Install rarian before running this script.
-# rarian is available from slackbuilds.org.
-#
-# Then you will need to:
-# cd /usr
-# ln -s doc/rarian-0.8.1/librarian share/librarian
-#
-# Then run this script
-
+# scrollkeeper was replaced by rarian, so it is disabled
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
LDFLAGS="$SLKLDFLAGS" \
@@ -80,15 +88,13 @@ make install DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
- ABOUT-NLS AUTHORS COPYING ChangeLog FAQ INSTALL NEWS OVERVIEW \
- README README.bugs README.help README.thanks TODO \
+ ABOUT-NLS AUTHORS COPYING ChangeLog FAQ \
+ INSTALL NEWS OVERVIEW README README* TODO \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
@@ -97,7 +103,7 @@ cat $CWD/doinst.sh > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-# IMO, this might have some security issues, use with care!
+# This might have some security issues, use with care!
if [ "$KDESU" = yes ] ;then
sed -i 's/Exec=etherape/Exec=kdesu etherape/' \
usr/share/applications/etherape.desktop